package test

import (
	"../cmd/mmysql"
	"encoding/json"
	"log"
)

func Test_db_query() {
	//var m mmysql.ServiceList

	vv, err := mmysql.GetServiceList("bj")
	if err != nil {
		log.Println(err)
		log.Panic("conn mysql failed!")
	}
	jsons, errs := json.Marshal(vv)
	if errs != nil {
		log.Println(errs.Error())
		log.Panic("conver struct failed!", vv)
	}
	log.Println(string(jsons))

}

func Test_db_insert() {
	var v3 []mmysql.ServiceStatus

	v1 := mmysql.ServiceStatus{
		Id:     1,
		Cost:   1199,
		Ip:     "192.168.100.1",
		Status: true,
		Area:   "bj",
	}

	v2 := mmysql.ServiceStatus{
		Id:     1,
		Cost:   2000,
		Ip:     "192.168.100.2",
		Status: true,
		Area:   "bj",
	}
	v3 = append(v3, v1)
	v3 = append(v3, v2)
	mmysql.SaveServiceStatus(v3)
}
